Index: code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw
===================================================================
--- code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11395)
+++ code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11396)
@@ -20,4 +20,5 @@
   </SOBFigure>
 </Template>
+
 
 
Index: code/branches/SuperOrxoBros_FS17/data/levels/SuperOrxoBrosLevel.oxw
===================================================================
--- code/branches/SuperOrxoBros_FS17/data/levels/SuperOrxoBrosLevel.oxw	(revision 11396)
+++ code/branches/SuperOrxoBros_FS17/data/levels/SuperOrxoBrosLevel.oxw	(revision 11396)
@@ -0,0 +1,125 @@
+<LevelInfo
+ name = "SuperOrxoBrosLevel"
+ description = "Level 1 Super Orxo Bros, only Graphic Level"
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/HeavyCruiser.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+//neu
+//neu Models eingefuegt
+
+
+	//erster Boden	
+	<Model mesh="Cube2.12.mesh" position="0,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="240,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="480,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.6.mesh" position="720,0,0" scale=20 Pitch=90/>
+
+	//Luft1
+	<Model mesh="Cube1.1.mesh" position="320,0,-80" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="360,0,-80" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="400,0,-80" scale=20/>
+
+	//Boden2
+	<Model mesh="Cube2.12.mesh" position="880,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.2.mesh" position="1120,0,0" scale=20 Pitch=90/>
+
+	//Luft2
+	<Model mesh="Cube1.1.mesh" position="1000,0,-80" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="1040,0,-80" scale=20/>
+	<Model mesh="Cube1.6.mesh" position="1060,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="1180,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="1200,0,-160" scale=20/>
+
+	//Luft3
+	<Model mesh="Cube1.3.mesh" position="1280,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="1340,0,-80" scale=20/>
+	//10er Block 1340???
+	<Model mesh="Cube1.1.mesh" position="1440,0,-80" scale=20/>
+	//Stern 1460
+	// ? bei 1560
+	// ? bei 1600
+	// Whats that?? 1600 u -160
+	// ? bei 1660
+	<Model mesh="Cube1.1.mesh" position="1780,0,-80" scale=20/>
+	<Model mesh="Cube1.3.mesh" position="1840,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="1980,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="2040,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="2000,0,-80" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="2020,0,-80" scale=20/>
+	//Dreieckklein 2100
+	//Dreieckklein 2220
+	//Dreickklein+1 2380
+	
+
+	
+
+	//Boden3
+	<Model mesh="Cube2.12.mesh" position="1240,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="1480,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="1720,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="1960,0,0" scale=20 Pitch=90/>
+
+	<Model mesh="Cube2.12.mesh" position="2200,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="2440,0,0" scale=20 Pitch=90/>
+
+	<Model mesh="Cube2.2.mesh" position="2680,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.2.mesh" position="2720,0,0" scale=20 Pitch=90/>
+
+	//Luft4
+	//Dreickklein 2800
+	
+	//Boden4
+	<Model mesh="Cube2.12.mesh" position="2800,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="3040,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="3280,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="3520,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="3760,0,0" scale=20 Pitch=90/>
+	
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="0,1000,0" lookat="200,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+
+    
+    
+  </Scene>
+</Level>
+