Index: /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw
===================================================================
--- /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11396)
+++ /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11397)
@@ -1,23 +1,23 @@
 <LevelInfo
- name = "SOOOOOOOOOOOB"
- description = "Jump as high as you can. Use the mouse to guide the jumper."
- tags = "minigame"
- screenshot = "jump.png"
- />
+	name = "SOOOOOOOOOOOB"
+	description = "Jump as high as you can. Use the mouse to guide the jumper."
+	tags = "minigame"
+	screenshot = "jump.png"
+	/>
 
- <?lua
- include("HUDTemplates3.oxo")  
- include("jumpHUD.oxo")
- include("stats.oxo")
- include("templates/lodInformation.oxt")
- ?>
+	<?lua
+	include("HUDTemplates3.oxo")  
+	include("jumpHUD.oxo")
+	include("stats.oxo")
+	include("templates/lodInformation.oxt")
+	?>
 
- <Template name=sobfigurecameras defaults=0>
-  <SOBFigure>
-    <camerapositions>
-      <CameraPosition position="0,-150,30" absolute=true mouselook=false drag=false direction="0,1,0"/>
-    </camerapositions>
-  </SOBFigure>
-</Template>
+	<Template name=sobfigurecameras defaults=0>
+		<SOBFigure>
+			<camerapositions>
+				<CameraPosition position="0,-150,30" absolute=true mouselook=false drag=false direction="0,1,0"/>
+			</camerapositions>
+		</SOBFigure>
+	</Template>
 
 
@@ -25,36 +25,36 @@
 
 
-<Template name=sobFigureTemplate>
-  <SOBFigure camerapositiontemplate=sobfigurecameras collisionType="dynamic" position="0,0,30">
-    <attached>
-      <Model  mesh="Orxo.mesh" scale=2.5 pitch=0 roll=90 yaw=90/>
-    </attached>
+	<Template name=sobFigureTemplate>
+		<SOBFigure camerapositiontemplate=sobfigurecameras collisionType="dynamic" position="0,0,30">
+			<attached>
+				<Model  mesh="Orxo.mesh" scale=2.5 pitch=0 roll=90 yaw=90/>
+			</attached>
 
-    <collisionShapes>
-    <BoxCollisionShape position="-2,0,2" halfExtents="3,1,10" />
-<!--      <SphereCollisionShape yaw="20" pitch="20" roll="20"  radius="10" position="0,0,10" />   -->
-   </collisionShapes>
+			<collisionShapes>
+				<BoxCollisionShape position="-2,0,2" halfExtents="3,1,10" />
+				<!--      <SphereCollisionShape yaw="20" pitch="20" roll="20"  radius="10" position="0,0,10" />   -->
+			</collisionShapes>
 
 
- </SOBFigure>
-</Template>
+		</SOBFigure>
+	</Template>
 
-<Level
- plugins = "superorxobros"
- gametype = "SOB"
- >-
+	<Level
+		plugins = "superorxobros"
+		gametype = "SOB"
+		>-
 
 
- <templates>
-  <Template link=lodtemplate_default />
-</templates>
-<?lua include("includes/notifications.oxi") ?>
+		<templates>
+			<Template link=lodtemplate_default />
+		</templates>
+		<?lua include("includes/notifications.oxi") ?>
 
-<WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true"/>
+		<WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true"/>
 
 
-<Scene ambientlight="1.0, 1.0, 1.0" skybox="Orxonox/skyBoxBasic">
-  <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-  <SpawnPoint position="991.729, -110.11, 435.404" orientation="0.534038, 0.563456, 0.212168, 0.593553" />
+		<Scene ambientlight="1.0, 1.0, 1.0" skybox="Orxonox/skyBoxBasic">
+			<Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+			<SpawnPoint position="991.729, -110.11, 435.404" orientation="0.534038, 0.563456, 0.212168, 0.593553" />
 
 
@@ -64,13 +64,13 @@
 
 
-  <MovableEntity>
-    <attached>
-      <SOBCenterpoint name=jumpcenter cameraOffset="10" figureTemplate=sobFigureTemplate>
-        <attached>  
-        </attached>
-      </SOBCenterpoint>
+			<MovableEntity >
+				<attached>
+					<SOBCenterpoint name=jumpcenter cameraOffset="10" figureTemplate=sobFigureTemplate>
+						<attached>  
+						</attached>
+					</SOBCenterpoint>
 
-    </attached>
-  </MovableEntity>
+				</attached>
+			</MovableEntity>
 
 
@@ -78,28 +78,106 @@
 
 
-<?lua
-      for i = 0, 100, 1
-      do
-      j = math.random()
-    ?>
-
-     <SOBItem position="<?lua print(i*10) ?>,0,-20" collisionType="static">
-    <attached>
-      <Model  mesh="MarioCube.mesh" scale="10" />
-   </attached>
-
-</SOBItem>
-
-    <?lua
-      end
-    ?>
-
-<StaticEntity collisionType="static">
-    <collisionShapes>
-    <BoxCollisionShape position="500,0,-20" halfExtents="500,5,5" />
-  </collisionShapes>
-</StaticEntity>
+			<!-- <?lua
+						for i = 0, 100, 1
+						do
+						j = math.random()
+						?>
+			
+						<SOBItem position="<?lua print(i*10) ?>,0,-20" collisionType="static">
+							<attached>
+								<Model  mesh="MarioCube.mesh" scale="10" />
+							</attached>
+			
+						</SOBItem>
+			
+						<?lua
+						end
+						?>
+					-->
 
 
-</Scene>
-</Level>
+					//neu
+					//neu Models eingefuegt
+
+
+					//erster Boden	
+					<Model mesh="Cube2.12.mesh" position="0,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="120,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="240,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.6.mesh" position="360,0,-30" scale=10 Pitch=90/>
+
+					//Luft1
+					<Model mesh="Cube1.1.mesh" position="320,0,-80" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="360,0,-80" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="400,0,-80" scale=20/>
+
+					//Boden2
+					<Model mesh="Cube2.12.mesh" position="880,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="1120,0,-30" scale=10 Pitch=90/>
+
+					//Luft2
+					<Model mesh="Cube1.1.mesh" position="1000,0,-80" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="1040,0,-80" scale=20/>
+					<Model mesh="Cube1.6.mesh" position="1060,0,-160" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="1180,0,-160" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="1200,0,-160" scale=20/>
+
+					//Luft3
+					<Model mesh="Cube1.3.mesh" position="1280,0,-160" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="1340,0,-80" scale=20/>
+					//10er Block 1340???
+					<Model mesh="Cube1.1.mesh" position="1440,0,-80" scale=20/>
+					//Stern 1460
+					// ? bei 1560
+					// ? bei 1600
+					// Whats that?? 1600 u -160
+					// ? bei 1660
+					<Model mesh="Cube1.1.mesh" position="1780,0,-80" scale=20/>
+					<Model mesh="Cube1.3.mesh" position="1840,0,-160" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="1980,0,-160" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="2040,0,-160" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="2000,0,-80" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="2020,0,-80" scale=20/>
+					//Dreieckklein 2100
+					//Dreieckklein 2220
+					//Dreickklein+1 2380
+
+
+
+
+					//Boden3
+					<Model mesh="Cube2.12.mesh" position="1240,0,-20" scale=20 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1480,0,-20" scale=20 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1720,0,0" scale=20 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1960,0,0" scale=20 Pitch=90/>
+
+					<Model mesh="Cube2.12.mesh" position="2200,0,0" scale=20 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2440,0,0" scale=20 Pitch=90/>
+
+					<Model mesh="Cube2.2.mesh" position="2680,0,0" scale=20 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="2720,0,0" scale=20 Pitch=90/>
+
+					//Luft4
+					//Dreickklein 2800
+
+					//Boden4
+					<Model mesh="Cube2.12.mesh" position="2800,0,0" scale=20 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="3040,0,0" scale=20 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="3280,0,0" scale=20 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="3520,0,0" scale=20 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="3760,0,0" scale=20 Pitch=90/>
+
+
+
+
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="500,0,-20" halfExtents="500,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+				</Scene>
+			</Level>