Index: code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw
===================================================================
--- code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11397)
+++ code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11398)
@@ -97,8 +97,4 @@
 
 
-					//neu
-					//neu Models eingefuegt
-
-
 					//erster Boden	
 					<Model mesh="Cube2.12.mesh" position="0,0,-30" scale=10 Pitch=90/>
@@ -107,39 +103,127 @@
 					<Model mesh="Cube2.6.mesh" position="360,0,-30" scale=10 Pitch=90/>
 
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="205,0,-20" halfExtents="210,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
 					//Luft1
-					<Model mesh="Cube1.1.mesh" position="320,0,-80" scale=20/>
-					<Model mesh="Cube1.1.mesh" position="360,0,-80" scale=20/>
-					<Model mesh="Cube1.1.mesh" position="400,0,-80" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="120,0,20" scale=10/><!-- ? Block --> 		<!-- 1 -->
+					<Model mesh="Cube1.1.mesh" position="160,0,20" scale=10 /> 						<!-- 2 -->
+					<Model mesh="Cube1.1.mesh" position="170,0,20" scale=10 /><!-- Item Block --> 	<!-- 3 -->
+					<Model mesh="Cube1.1.mesh" position="180,0,20" scale=10/> 						<!-- 4 -->
+					<Model mesh="Cube1.1.mesh" position="180,0,60" scale=10 /><!-- ? Block --> 		<!-- 5 -->
+					<Model mesh="Cube1.1.mesh" position="190,0,20" scale=10/><!-- ? Block --> 		<!-- 6 -->
+					<Model mesh="Cube1.1.mesh" position="200,0,20" scale=10/> 						<!-- 7 -->
+
+						<StaticEntity collisionType="static">
+							<collisionShapes>
+								<BoxCollisionShape position="120,0,20" halfExtents="5,5,5" /><!-- 1 -->
+								<BoxCollisionShape position="160,0,20" halfExtents="5,5,5" /><!-- 2 -->
+								<BoxCollisionShape position="170,0,20" halfExtents="5,5,5" /><!-- 3 -->
+								<BoxCollisionShape position="180,0,20" halfExtents="5,5,5" /><!-- 4 -->
+								<BoxCollisionShape position="180,0,60" halfExtents="5,5,5" /><!-- 5 -->
+								<BoxCollisionShape position="190,0,20" halfExtents="5,5,5" /><!-- 6 -->
+								<BoxCollisionShape position="200,0,20" halfExtents="5,5,5" /><!-- 7 -->
+
+
+							</collisionShapes>
+						</StaticEntity>
+
+
+
 
 					//Boden2
-					<Model mesh="Cube2.12.mesh" position="880,0,-30" scale=10 Pitch=90/>
-					<Model mesh="Cube2.2.mesh" position="1120,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="440,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="560,0,-30" scale=10 Pitch=90/>
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="505,0,-20" halfExtents="70,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
 
 					//Luft2
-					<Model mesh="Cube1.1.mesh" position="1000,0,-80" scale=20/>
-					<Model mesh="Cube1.1.mesh" position="1040,0,-80" scale=20/>
-					<Model mesh="Cube1.6.mesh" position="1060,0,-160" scale=20/>
-					<Model mesh="Cube1.1.mesh" position="1180,0,-160" scale=20/>
-					<Model mesh="Cube1.1.mesh" position="1200,0,-160" scale=20/>
+					<Model mesh="Cube1.1.mesh" position="500,0,20" scale=10/>
+					<Model mesh="Cube1.1.mesh" position="510,0,20" scale=10/><!-- Item Block -->
+					<Model mesh="Cube1.1.mesh" position="520,0,20" scale=10/>
+					<Model mesh="Cube1.6.mesh" position="530,0,60" scale=10/>
+					<Model mesh="Cube1.1.mesh" position="590,0,60" scale=10/>
+					<Model mesh="Cube1.1.mesh" position="600,0,60" scale=10/>
+
+						<StaticEntity collisionType="static">
+							<collisionShapes>
+								<BoxCollisionShape position="500,0,20" halfExtents="5,5,5" />
+								<BoxCollisionShape position="510,0,20" halfExtents="5,5,5" />
+								<BoxCollisionShape position="520,0,20" halfExtents="5,5,5" />
+								<BoxCollisionShape position="570,0,60" halfExtents="40,5,5" />
+
+
+
+
+							</collisionShapes>
+						</StaticEntity>
+					
 
 					//Luft3
-					<Model mesh="Cube1.3.mesh" position="1280,0,-160" scale=20/>
-					<Model mesh="Cube1.1.mesh" position="1340,0,-80" scale=20/>
-					//10er Block 1340???
-					<Model mesh="Cube1.1.mesh" position="1440,0,-80" scale=20/>
-					//Stern 1460
-					// ? bei 1560
-					// ? bei 1600
-					// Whats that?? 1600 u -160
-					// ? bei 1660
-					<Model mesh="Cube1.1.mesh" position="1780,0,-80" scale=20/>
-					<Model mesh="Cube1.3.mesh" position="1840,0,-160" scale=20/>
-					<Model mesh="Cube1.1.mesh" position="1980,0,-160" scale=20/>
-					<Model mesh="Cube1.1.mesh" position="2040,0,-160" scale=20/>
-					<Model mesh="Cube1.1.mesh" position="2000,0,-80" scale=20/>
-					<Model mesh="Cube1.1.mesh" position="2020,0,-80" scale=20/>
-					//Dreieckklein 2100
-					//Dreieckklein 2220
-					//Dreickklein+1 2380
+					<Model mesh="Cube1.3.mesh" position="640,0,60" scale=10/> 							<!-- 1 -->
+					<Model mesh="Cube1.1.mesh" position="670,0,20" scale=10/><!-- 10er Block --> 		<!-- 2 -->
+					<Model mesh="Cube1.1.mesh" position="670,0,60" scale=10/><!-- ? Block --> 			<!-- 3 -->
+					
+					<Model mesh="Cube1.1.mesh" position="720,0,20" scale=10/>							<!-- 4 -->
+					<Model mesh="Cube1.1.mesh" position="730,0,20" scale=10/><!-- Stern Block --> 		<!-- 5 -->
+					<Model mesh="Cube1.1.mesh" position="780,0,20" scale=10/><!-- ? Block --> 			<!-- 6 -->
+					<Model mesh="Cube1.1.mesh" position="800,0,20" scale=10/><!-- ? Block --> 			<!-- 7 -->
+					<Model mesh="Cube1.1.mesh" position="800,0,60" scale=10/><!-- Item Block --> 		<!-- 8 -->
+					<Model mesh="Cube1.1.mesh" position="820,0,20" scale=10/><!-- ? Block --> 			<!-- 9 -->
+					
+					<Model mesh="Cube1.1.mesh" position="890,0,20" scale=10/> 							<!-- 10 -->
+					<Model mesh="Cube1.3.mesh" position="920,0,60" scale=10/> 							<!-- 11 -->
+					<Model mesh="Cube1.1.mesh" position="990,0,60" scale=10/> 							<!-- 12 -->
+					<Model mesh="Cube1.1.mesh" position="1020,0,60" scale=10/> 							<!-- 13 -->
+					<Model mesh="Cube1.1.mesh" position="1000,0,20" scale=10/> 							<!-- 14 -->
+					<Model mesh="Cube1.1.mesh" position="1010,0,20" scale=10/> 							<!-- 14 -->
+					<Model mesh="Cube1.1.mesh" position="1000,0,60" scale=10/><!-- ? Block --> 			<!-- 15 -->
+					<Model mesh="Cube1.1.mesh" position="1010,0,60" scale=10/><!-- ? Block --> 			<!-- 16 -->
+					<Model mesh="Dreieck+1.mesh" position="1220,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/>
+					<Model mesh="Dreieck.mesh" position="1080,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/>
+					<Model mesh="Dreieck.mesh" position="1110,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/>
+
+					//Dreieckklein 1050
+					//Dreieckklein 1110
+					//Dreickklein+1 1190
+
+
+						<StaticEntity collisionType="static">
+							<collisionShapes>
+								<BoxCollisionShape position="645,0,60" halfExtents="15,5,5" /> 							<!-- 1 -->
+								<BoxCollisionShape position="670,0,20" halfExtents="5,5,5" /> 							<!-- 2 -->
+								<BoxCollisionShape position="670,0,60" halfExtents="5,5,5" /> 							<!-- 3 -->
+
+								<BoxCollisionShape position="720,0,20" halfExtents="5,5,5" /> 							<!-- 4 -->
+								<BoxCollisionShape position="730,0,20" halfExtents="5,5,5" /> 							<!-- 5 -->
+								<BoxCollisionShape position="780,0,20" halfExtents="5,5,5" /> 							<!-- 6 -->
+								<BoxCollisionShape position="800,0,20" halfExtents="5,5,5" /> 							<!-- 7 -->
+								<BoxCollisionShape position="800,0,60" halfExtents="5,5,5" /> 							<!-- 8 -->
+								<BoxCollisionShape position="820,0,20" halfExtents="5,5,5" /> 							<!-- 9 -->
+
+								<BoxCollisionShape position="890,0,20" halfExtents="5,5,5" /> 							<!-- 10 -->
+								<BoxCollisionShape position="930,0,60" halfExtents="15,5,5" /> 							<!-- 11 -->
+								<BoxCollisionShape position="990,0,60" halfExtents="5,5,5" /> 							<!-- 12 -->
+								<BoxCollisionShape position="1020,0,60" halfExtents="5,5,5" /> 							<!-- 13 -->
+								<BoxCollisionShape position="1005,0,20" halfExtents="10,5,5" /> 						<!-- 14 -->
+								<BoxCollisionShape position="1000,0,60" halfExtents="5,5,5" /> 							<!-- 15 -->
+								<BoxCollisionShape position="1010,0,60" halfExtents="5,5,5" /> 							<!-- 16 -->
+
+
+
+
+							</collisionShapes>
+						</StaticEntity>
 
 
@@ -147,35 +231,64 @@
 
 					//Boden3
-					<Model mesh="Cube2.12.mesh" position="1240,0,-20" scale=20 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="1480,0,-20" scale=20 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="1720,0,0" scale=20 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="1960,0,0" scale=20 Pitch=90/>
-
-					<Model mesh="Cube2.12.mesh" position="2200,0,0" scale=20 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="2440,0,0" scale=20 Pitch=90/>
-
-					<Model mesh="Cube2.2.mesh" position="2680,0,0" scale=20 Pitch=90/>
-					<Model mesh="Cube2.2.mesh" position="2720,0,0" scale=20 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="620,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="740,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="860,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="980,0,-30" scale=10 Pitch=90/>
+
+					<Model mesh="Cube2.12.mesh" position="1100,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="1220,0,-30" scale=10 Pitch=90/>
+					
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="925,0,-20" halfExtents="310,5,5" />
+						</collisionShapes>
+					</StaticEntity>
 
 					//Luft4
-					//Dreickklein 2800
+					<Model mesh="Cube1.1.mesh" position="1400,0,20" scale=10/>
+					<Model mesh="Cube1.1.mesh" position="1410,0,20" scale=10/>
+					<Model mesh="Cube1.1.mesh" position="1420,0,20" scale=10/> <!-- ? Block -->
+					<Model mesh="Cube1.1.mesh" position="1430,0,20" scale=10/>
+					<Model mesh="Dreieck.mesh" position="1270,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/>
+
+
+						<StaticEntity collisionType="static">
+							<collisionShapes>
+								<BoxCollisionShape position="1400,0,20" halfExtents="5,5,5" />
+								<BoxCollisionShape position="1410,0,20" halfExtents="5,5,5" />
+								<BoxCollisionShape position="1420,0,20" halfExtents="5,5,5" />
+								<BoxCollisionShape position="1430,0,20" halfExtents="5,5,5" />
+
+
+
+
+							</collisionShapes>
+						</StaticEntity>
+
+
+
+
+					
 
 					//Boden4
-					<Model mesh="Cube2.12.mesh" position="2800,0,0" scale=20 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="3040,0,0" scale=20 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="3280,0,0" scale=20 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="3520,0,0" scale=20 Pitch=90/>
-					<Model mesh="Cube2.12.mesh" position="3760,0,0" scale=20 Pitch=90/>
-
-
-
-
-
-
-					<StaticEntity collisionType="static">
-						<collisionShapes>
-							<BoxCollisionShape position="500,0,-20" halfExtents="500,5,5" />
-						</collisionShapes>
-					</StaticEntity>
+					<Model mesh="Cube2.12.mesh" position="1270,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1390,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1510,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1630,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1750,0,-30" scale=10 Pitch=90/>
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1565,0,-20" halfExtents="300,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+
+					
 
 