Index: /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw
===================================================================
--- /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11402)
+++ /code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11403)
@@ -116,17 +116,28 @@
 <!-- 					BLOCK 1 in der LUFT - alle analog wie diesen :) -->
 <!-- Sobald ein QBlock von unten gehittet wird, wechselt die Visibility von allen attached Models. Hier wuerde also Cube1.1 invisible und Cube2.12 visible. Die Collisionshape wird ja sowieso beibehalten. -->
-					<SOBQBlock collisionType="static">
+					<SOBQBlock collisionType="static"> 											 	<!-- 1 -->
 						<attached>
 							<Model mesh="Cube1.1.mesh" position="120,0,20" scale=10/> 
-							<Model mesh="Cube2.12.mesh" position="120,0,20" scale=10 visible="false"/>
-						</attached>
-						<collisionShapes>
-							<BoxCollisionShape position="120,0,20" halfExtents="5,5,5" /><!-- 1 -->
-						</collisionShapes>
-					</SOBQBlock>
-
-
-
-<SOBMushroom collisionType="dynamic" speed=30>
+							<Model mesh="Cube1.1.mesh" position="120,0,30" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="120,0,20" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+					<Model mesh="Cube1.1.mesh" position="160,0,20" scale=10 /> 						<!-- 2 -->
+					
+					<SOBQBlock collisionType="static"><!--ITEM-->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="170,0,20" scale=10/> 				<!-- 3 --> 
+							<Model mesh="Cube1.1.mesh" position="170,0,30" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="170,0,20" halfExtents="5,5,5" /><!-- 3 -->
+						</collisionShapes>
+					</SOBQBlock>
+
+				<SOBMushroom collisionType="dynamic" speed=30>
 						<attached>
 							<Model mesh="Cube1.1.mesh" position="0,0,20" scale=10/> 
@@ -139,23 +150,42 @@
 
 
-
-
-<!-- 					<Model mesh="Cube1.1.mesh" position="120,0,20" scale=10/><!-- ? Block --> 		<!-- 1 -->
-					<Model mesh="Cube1.1.mesh" position="160,0,20" scale=10 /> 						<!-- 2 -->
-					<Model mesh="Cube1.1.mesh" position="170,0,20" scale=10 /><!-- Item Block --> 	<!-- 3 -->
 					<Model mesh="Cube1.1.mesh" position="180,0,20" scale=10/> 						<!-- 4 -->
-					<Model mesh="Cube1.1.mesh" position="180,0,60" scale=10 /><!-- ? Block --> 		<!-- 5 -->
-					<Model mesh="Cube1.1.mesh" position="190,0,20" scale=10/><!-- ? Block --> 		<!-- 6 -->
 					<Model mesh="Cube1.1.mesh" position="200,0,20" scale=10/> 						<!-- 7 -->
 
-					<StaticEntity collisionType="static">
-						<collisionShapes>
+					<SOBQBlock collisionType="static"><!-- ? Block --> 
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="180,0,60" scale=10/> 				<!-- 5 --> 
+							<Model mesh="Cube1.1.mesh" position="180,0,70" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="180,0,60" halfExtents="5,5,5" /> 			
+						</collisionShapes>
+					</SOBQBlock>
+
+					 
+
+
+
+					 <SOBQBlock collisionType="static"><!-- ? Block --> 
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="190,0,20" scale=10/>  				<!-- 6 -->
+							<Model mesh="Cube1.1.mesh" position="190,0,30" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="190,0,20" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock> 
+
+
+					<StaticEntity collisionType="static"><!-- ? Block --> 
+						<collisionShapes><!-- ?/S Block has his own collisionShape(1,3,5,6) --> 
+							
+							<BoxCollisionShape position="160,0,20" halfExtents="5,5,5" /><!-- 2 -->
+							<BoxCollisionShape position="180,0,20" halfExtents="5,5,5" /><!-- 4 -->
+							<BoxCollisionShape position="200,0,20" halfExtents="5,5,5" /><!-- 7 -->
 							<!--<BoxCollisionShape position="120,0,20" halfExtents="5,5,5" /><!-- 1 -->
-							<BoxCollisionShape position="160,0,20" halfExtents="5,5,5" /><!-- 2 -->
-							<BoxCollisionShape position="170,0,20" halfExtents="5,5,5" /><!-- 3 -->
-							<BoxCollisionShape position="180,0,20" halfExtents="5,5,5" /><!-- 4 -->
-							<BoxCollisionShape position="180,0,60" halfExtents="5,5,5" /><!-- 5 -->
-							<BoxCollisionShape position="190,0,20" halfExtents="5,5,5" /><!-- 6 -->
-							<BoxCollisionShape position="200,0,20" halfExtents="5,5,5" /><!-- 7 -->
+							<!--<BoxCollisionShape position="170,0,20" halfExtents="5,5,5" /><!-- 3 -->
+							<!--<BoxCollisionShape position="180,0,60" halfExtents="5,5,5" /><!-- 5 -->
+							<!--<BoxCollisionShape position="190,0,20" halfExtents="5,5,5" /><!-- 6 -->
 
 
@@ -182,5 +212,13 @@
 					//Luft2
 					<Model mesh="Cube1.1.mesh" position="500,0,20" scale=10/>
-					<Model mesh="Cube1.1.mesh" position="510,0,20" scale=10/><!-- Item Block -->
+					<SOBQBlock collisionType="static"><!--ITEM-->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="510,0,20" scale=10/>
+							<Model mesh="Cube1.1.mesh" position="510,0,30" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="510,0,20" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
 					<Model mesh="Cube1.1.mesh" position="520,0,20" scale=10/>
 					<Model mesh="Cube1.6.mesh" position="530,0,60" scale=10/>
@@ -191,5 +229,5 @@
 						<collisionShapes>
 							<BoxCollisionShape position="500,0,20" halfExtents="5,5,5" />
-							<BoxCollisionShape position="510,0,20" halfExtents="5,5,5" />
+							<!--<BoxCollisionShape position="510,0,20" halfExtents="5,5,5" />-->
 							<BoxCollisionShape position="520,0,20" halfExtents="5,5,5" />
 							<BoxCollisionShape position="570,0,60" halfExtents="40,5,5" />
@@ -204,29 +242,107 @@
 					//Luft3
 					<Model mesh="Cube1.3.mesh" position="640,0,60" scale=10/> 							<!-- 1 -->
-					<Model mesh="Cube1.1.mesh" position="670,0,20" scale=10/><!-- 10er Block --> 		<!-- 2 -->
-					<Model mesh="Cube1.1.mesh" position="670,0,60" scale=10/><!-- ? Block --> 			<!-- 3 -->
-					
 					<Model mesh="Cube1.1.mesh" position="720,0,20" scale=10/>							<!-- 4 -->
-					<Model mesh="Cube1.1.mesh" position="730,0,20" scale=10/><!-- Stern Block --> 		<!-- 5 -->
-					<Model mesh="Cube1.1.mesh" position="780,0,20" scale=10/><!-- ? Block --> 			<!-- 6 -->
-					<Model mesh="Cube1.1.mesh" position="800,0,20" scale=10/><!-- ? Block --> 			<!-- 7 -->
-					<Model mesh="Cube1.1.mesh" position="800,0,60" scale=10/><!-- Item Block --> 		<!-- 8 -->
-					<Model mesh="Cube1.1.mesh" position="820,0,20" scale=10/><!-- ? Block --> 			<!-- 9 -->
-					
 					<Model mesh="Cube1.1.mesh" position="890,0,20" scale=10/> 							<!-- 10 -->
 					<Model mesh="Cube1.3.mesh" position="920,0,60" scale=10/> 							<!-- 11 -->
 					<Model mesh="Cube1.1.mesh" position="990,0,60" scale=10/> 							<!-- 12 -->
 					<Model mesh="Cube1.1.mesh" position="1020,0,60" scale=10/> 							<!-- 13 -->
-					<Model mesh="Cube1.1.mesh" position="1000,0,20" scale=10/> 							<!-- 14 -->
+					<Model mesh="Cube1.1.mesh" position="1000,0,20" scale=10/> 							<!-- 14 --> <!-- only one Collision for 1000 and 1010 -->
 					<Model mesh="Cube1.1.mesh" position="1010,0,20" scale=10/> 							<!-- 14 -->
-					<Model mesh="Cube1.1.mesh" position="1000,0,60" scale=10/><!-- ? Block --> 			<!-- 15 -->
-					<Model mesh="Cube1.1.mesh" position="1010,0,60" scale=10/><!-- ? Block --> 			<!-- 16 -->
-					<Model mesh="Dreieck+1.mesh" position="1220,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/>
-					<Model mesh="Dreieck.mesh" position="1080,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/>
-					<Model mesh="Dreieck.mesh" position="1110,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/>
-
-					//Dreieckklein 1050
-					//Dreieckklein 1110
-					//Dreickklein+1 1190
+					
+
+					
+						
+					<SOBQBlock collisionType="static"> <!-- 10er Block --> 								<!-- 2 -->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="670,0,20" scale=10/>
+							<Model mesh="Cube1.1.mesh" position="670,0,30" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="670,0,20" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 3 -->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="670,0,60" scale=10/>
+							<Model mesh="Cube1.1.mesh" position="670,0,70" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="670,0,60" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static"> <!-- Stern Block --> 							<!-- 5 -->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="730,0,20" scale=10/>
+							<Model mesh="Cube1.1.mesh" position="730,0,30" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="730,0,20" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 6 -->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="780,0,20" scale=10/>
+							<Model mesh="Cube1.1.mesh" position="780,0,30" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="780,0,20" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 7 -->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="800,0,20" scale=10/>
+							<Model mesh="Cube1.1.mesh" position="800,0,30" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="800,0,20" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+					<SOBQBlock collisionType="static"> <!-- Item Block --> 								<!-- 8 -->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="800,0,60" scale=10/>
+							<Model mesh="Cube1.1.mesh" position="800,0,70" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="800,0,60" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 9 -->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="820,0,20" scale=10/>
+							<Model mesh="Cube1.1.mesh" position="820,0,30" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="820,0,20" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>					
+					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 15 -->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="1000,0,60" scale=10/>
+							<Model mesh="Cube1.1.mesh" position="1000,0,70" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="1000,0,60" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 16 -->
+						<attached>
+							<Model mesh="Cube1.1.mesh" position="1010,0,60" scale=10/>
+							<Model mesh="Cube1.1.mesh" position="1010,0,70" scale=10 visible="false"/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="1010,0,60" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+					
+
+
+
+					<Model mesh="Dreieck+1.mesh" position="1220,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 	<!-- 17 --> <!--collisionshape??-->
+					<Model mesh="Dreieck.mesh" position="1080,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 	<!-- 18 --> <!--collisionshape??-->
+					<Model mesh="Dreieck.mesh" position="1110,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 	<!-- 19 --> <!--collisionshape??-->
+
+					
 
 
@@ -234,13 +350,7 @@
 						<collisionShapes>
 							<BoxCollisionShape position="645,0,60" halfExtents="15,5,5" /> 							<!-- 1 -->
-							<BoxCollisionShape position="670,0,20" halfExtents="5,5,5" /> 							<!-- 2 -->
-							<BoxCollisionShape position="670,0,60" halfExtents="5,5,5" /> 							<!-- 3 -->
 
 							<BoxCollisionShape position="720,0,20" halfExtents="5,5,5" /> 							<!-- 4 -->
-							<BoxCollisionShape position="730,0,20" halfExtents="5,5,5" /> 							<!-- 5 -->
-							<BoxCollisionShape position="780,0,20" halfExtents="5,5,5" /> 							<!-- 6 -->
-							<BoxCollisionShape position="800,0,20" halfExtents="5,5,5" /> 							<!-- 7 -->
-							<BoxCollisionShape position="800,0,60" halfExtents="5,5,5" /> 							<!-- 8 -->
-							<BoxCollisionShape position="820,0,20" halfExtents="5,5,5" /> 							<!-- 9 -->
+						
 
 							<BoxCollisionShape position="890,0,20" halfExtents="5,5,5" /> 							<!-- 10 -->
@@ -249,6 +359,10 @@
 							<BoxCollisionShape position="1020,0,60" halfExtents="5,5,5" /> 							<!-- 13 -->
 							<BoxCollisionShape position="1005,0,20" halfExtents="10,5,5" /> 						<!-- 14 -->
-							<BoxCollisionShape position="1000,0,60" halfExtents="5,5,5" /> 							<!-- 15 -->
-							<BoxCollisionShape position="1010,0,60" halfExtents="5,5,5" /> 							<!-- 16 -->
+							
+
+							<BoxCollisionShape position="1210,0,-10" halfExtents="25,5,5" /> 						<!-- 17 -->
+							<BoxCollisionShape position="1065,0,-10" halfExtents="20,5,5" /> 						<!-- 18 -->
+							<!--<BoxCollisionShape position="1105,0,-10" halfExtents="15,5,5" /> 		-->				<!-- 19 -->
+							
 
 