Index: code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw
===================================================================
--- code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11403)
+++ code/branches/SuperOrxoBros_FS17/data/levels/SOB.oxw	(revision 11404)
@@ -99,4 +99,8 @@
 
 					//erster Boden	
+
+					
+
+
 					<Model mesh="Cube2.12.mesh" position="0,0,-30" scale=10 Pitch=90/>
 					<Model mesh="Cube2.12.mesh" position="120,0,-30" scale=10 Pitch=90/>
@@ -118,5 +122,5 @@
 					<SOBQBlock collisionType="static"> 											 	<!-- 1 -->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="120,0,20" scale=10/> 
+							<Model mesh="QCube.mesh" position="120,0,20" scale=10/> 
 							<Model mesh="Cube1.1.mesh" position="120,0,30" scale=10 visible="false"/>
 						</attached>
@@ -131,5 +135,5 @@
 					<SOBQBlock collisionType="static"><!--ITEM-->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="170,0,20" scale=10/> 				<!-- 3 --> 
+							<Model mesh="QCube.mesh" position="170,0,20" scale=10/> 				<!-- 3 --> 
 							<Model mesh="Cube1.1.mesh" position="170,0,30" scale=10 visible="false"/>
 						</attached>
@@ -141,5 +145,5 @@
 				<SOBMushroom collisionType="dynamic" speed=30>
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="0,0,20" scale=10/> 
+							<Model mesh="QCube.mesh" position="0,0,20" scale=10/> 
 							
 						</attached>
@@ -155,5 +159,5 @@
 					<SOBQBlock collisionType="static"><!-- ? Block --> 
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="180,0,60" scale=10/> 				<!-- 5 --> 
+							<Model mesh="QCube.mesh" position="180,0,60" scale=10/> 				<!-- 5 --> 
 							<Model mesh="Cube1.1.mesh" position="180,0,70" scale=10 visible="false"/>
 						</attached>
@@ -169,5 +173,5 @@
 					 <SOBQBlock collisionType="static"><!-- ? Block --> 
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="190,0,20" scale=10/>  				<!-- 6 -->
+							<Model mesh="QCube.mesh" position="190,0,20" scale=10/>  				<!-- 6 -->
 							<Model mesh="Cube1.1.mesh" position="190,0,30" scale=10 visible="false"/>
 						</attached>
@@ -214,5 +218,5 @@
 					<SOBQBlock collisionType="static"><!--ITEM-->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="510,0,20" scale=10/>
+							<Model mesh="QCube.mesh" position="510,0,20" scale=10/>
 							<Model mesh="Cube1.1.mesh" position="510,0,30" scale=10 visible="false"/>
 						</attached>
@@ -255,5 +259,5 @@
 					<SOBQBlock collisionType="static"> <!-- 10er Block --> 								<!-- 2 -->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="670,0,20" scale=10/>
+							<Model mesh="QCube.mesh" position="670,0,20" scale=10/>
 							<Model mesh="Cube1.1.mesh" position="670,0,30" scale=10 visible="false"/>
 						</attached>
@@ -265,5 +269,5 @@
 					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 3 -->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="670,0,60" scale=10/>
+							<Model mesh="QCube.mesh" position="670,0,60" scale=10/>
 							<Model mesh="Cube1.1.mesh" position="670,0,70" scale=10 visible="false"/>
 						</attached>
@@ -275,5 +279,5 @@
 					<SOBQBlock collisionType="static"> <!-- Stern Block --> 							<!-- 5 -->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="730,0,20" scale=10/>
+							<Model mesh="QCube.mesh" position="730,0,20" scale=10/>
 							<Model mesh="Cube1.1.mesh" position="730,0,30" scale=10 visible="false"/>
 						</attached>
@@ -284,5 +288,5 @@
 					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 6 -->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="780,0,20" scale=10/>
+							<Model mesh="QCube.mesh" position="780,0,20" scale=10/>
 							<Model mesh="Cube1.1.mesh" position="780,0,30" scale=10 visible="false"/>
 						</attached>
@@ -293,5 +297,5 @@
 					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 7 -->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="800,0,20" scale=10/>
+							<Model mesh="QCube.mesh" position="800,0,20" scale=10/>
 							<Model mesh="Cube1.1.mesh" position="800,0,30" scale=10 visible="false"/>
 						</attached>
@@ -302,5 +306,5 @@
 					<SOBQBlock collisionType="static"> <!-- Item Block --> 								<!-- 8 -->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="800,0,60" scale=10/>
+							<Model mesh="QCube.mesh" position="800,0,60" scale=10/>
 							<Model mesh="Cube1.1.mesh" position="800,0,70" scale=10 visible="false"/>
 						</attached>
@@ -311,5 +315,5 @@
 					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 9 -->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="820,0,20" scale=10/>
+							<Model mesh="QCube.mesh" position="820,0,20" scale=10/>
 							<Model mesh="Cube1.1.mesh" position="820,0,30" scale=10 visible="false"/>
 						</attached>
@@ -320,5 +324,5 @@
 					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 15 -->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="1000,0,60" scale=10/>
+							<Model mesh="QCube.mesh" position="1000,0,60" scale=10/>
 							<Model mesh="Cube1.1.mesh" position="1000,0,70" scale=10 visible="false"/>
 						</attached>
@@ -329,5 +333,5 @@
 					<SOBQBlock collisionType="static"> <!-- ? Block --> 								<!-- 16 -->
 						<attached>
-							<Model mesh="Cube1.1.mesh" position="1010,0,60" scale=10/>
+							<Model mesh="QCube.mesh" position="1010,0,60" scale=10/>
 							<Model mesh="Cube1.1.mesh" position="1010,0,70" scale=10 visible="false"/>
 						</attached>
@@ -362,6 +366,17 @@
 
 							<BoxCollisionShape position="1210,0,-10" halfExtents="25,5,5" /> 						<!-- 17 -->
+							<BoxCollisionShape position="1215,0,0" halfExtents="20,5,5" />
+							<BoxCollisionShape position="1220,0,10" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1225,0,20" halfExtents="10,5,5" />
+							
 							<BoxCollisionShape position="1065,0,-10" halfExtents="20,5,5" /> 						<!-- 18 -->
-							<!--<BoxCollisionShape position="1105,0,-10" halfExtents="15,5,5" /> 		-->				<!-- 19 -->
+							<BoxCollisionShape position="1070,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1075,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1080,0,20" halfExtents="5,5,5" />
+
+							<BoxCollisionShape position="1125,0,-10" halfExtents="20,5,5" /> 					<!-- 19 -->
+							<BoxCollisionShape position="1120,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1115,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1110,0,20" halfExtents="5,5,5" />
 							
 
@@ -396,5 +411,5 @@
 					<Model mesh="Cube1.1.mesh" position="1420,0,20" scale=10/> <!-- ? Block -->
 					<Model mesh="Cube1.1.mesh" position="1430,0,20" scale=10/>
-					<Model mesh="Dreieck.mesh" position="1270,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/>
+					<Model mesh="Dreieck.mesh" position="1270,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 	<!-- 20 -->
 
 
@@ -405,4 +420,9 @@
 							<BoxCollisionShape position="1420,0,20" halfExtents="5,5,5" />
 							<BoxCollisionShape position="1430,0,20" halfExtents="5,5,5" />
+
+							<BoxCollisionShape position="1285,0,-10" halfExtents="20,5,5" /> 					<!-- 20 -->
+							<BoxCollisionShape position="1280,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1275,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1270,0,20" halfExtents="5,5,5" />
 
 